> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/loyalty-program/search-for-a-loyalty-program-membership.md).

# Search for a loyalty program membership

Search for (look up) a loyalty program membership. The preferred and main search criteria is **mobile number**, but email can be used when mobile number is not available.

Country code must be with a plus sign, e.g. +47 for Norway. If country code is missing, the default country code of the tenant is used.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"LoyaltyProgram","description":"LoyaltyProgram"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"LoyaltyMemberListResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/LoyaltyMemberResponseSchema"}}}}}}}},"schemas":{"LoyaltyMemberResponseSchema":{"title":"LoyaltyMemberResponseSchema","type":"object","required":["loyaltyId","firstName","lastName","address","postalCode","city","countryCode","email","mobile","consents","customerUid","origin","displayName"],"properties":{"loyaltyId":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"address":{"type":"string"},"postalCode":{"type":"string"},"city":{"type":"string"},"countryCode":{"description":"ISO 3166-1: 2 characters representation of country","type":"string"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"mobile":{"type":"string"},"consents":{"type":"array","items":{"type":"string"}},"customerUid":{"$ref":"#/components/schemas/UID"},"origin":{"type":"string"},"displayName":{"type":"string"}}},"EmailTYPE":{"title":"Email","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"requestBodies":{"LoyaltyMemberSearchRequest":{"content":{"application/json":{"schema":{"type":"object","required":["query"],"properties":{"query":{"type":"string","description":"full mobile number or email"}}}}}}}},"paths":{"/tenants/{tenantUid}/customers/loyalty/search":{"post":{"summary":"Search for a loyalty program membership","responses":{"200":{"$ref":"#/components/responses/LoyaltyMemberListResponse"}},"operationId":"post-customers-loyalty-search","tags":["LoyaltyProgram"],"description":"Search for (look up) a loyalty program membership. \nThe preferred and main search criteria is **mobile number**, \nbut email can be used when mobile number is not available.\n\nCountry code must be with a plus sign, e.g. +47 for Norway.\nIf country code is missing, the default country code of the tenant \nis used.\n","requestBody":{"$ref":"#/components/requestBodies/LoyaltyMemberSearchRequest"},"parameters":[]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/loyalty-program/search-for-a-loyalty-program-membership.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
